How Can I make a LTE 4g base station bacisly with limesdr mini?

I am using ubuntu last version How Can I make a LTE 4g base station bacisly with limesdr mini ? I tried srslte but can not install to my pc. İt is not supporting all cpu . How can Make a basic lte base station with my limesdr mini ? Which application is basic for this ?

The best supported solution would be to use Amarisoft eNodeB. This is proprietary software and you would need to contact them for licensing details.

Okay Thanks you I will contact with them for lte base station . I hope they have a supported openlte version about limesdr mini.

It’s not open — it’s proprietary, as I said.

If you want “open”, your options are presently srsLTE, along with OpenAirInterface, which is free for non-commercial use. If you wanted to use OAI you’d need to look at the licensing details and make sure that these will work for your particular use case.

I want to a lte base station with limesdr mini in my computer for close distance use . But How can I install it . No software about this . Can I install openAirinterface ? Most of these applications are not installed on the computer. Open Air İnterface is supporting limesdr mini ?

In production networks the best option is Amarisoft. If you have a budget for this I would suggest contacting them for pricing.

If this is just for experimentation/fun, you could try srsLTE and OpenAirInterface. There has been a fair amount of discussion concerning these on the forum. So you could start by searching posts for useful information.

Okay I will try open air interface to ubuntu . I hope I will success

I have 19.10 ubuntu desktop operation system . I tried to install open air interface for 4g İt said to me Please install ubuntu 17.04 . I installed it but it have not apt resiptories . İt is old and ubuntu dont support it. I can not install git package . How can I install open air interface ? Please help ?

Would suggest asking in the OpenAirInterface community.

tekin@tekin-VivoBook-14-ASUS-Laptop-X407MA-X407MA:~/İndirilenler/openairinterface5g/cmake_targets$ sudo ./build_oai -I --eNB -x -w LMSSDR
[sudo] password for murat:
Will install external packages
Will compile eNB
Will generate the software oscilloscope features
Setting hardware to: OAI_LMSSDR
CMAKE_CMD=cmake …
No transport protocol has been selected (TP set to None)
RF HW set to OAI_LMSSDR
Flags for Deadline scheduler: False
Flags for CPU Affinity: False
2. Setting the OAI PATHS …
OPENAIR_DIR = /home/murat/İndirilenler/openairinterface5g
Installing packages
Aynı: 1 http://ppa.launchpad.net/myriadrf/drivers/ubuntu xenial InRelease
Aynı: 2 http://tr.archive.ubuntu.com/ubuntu xenial InRelease
Aynı: 3 http://tr.archive.ubuntu.com/ubuntu xenial-updates InRelease
İndir: 4 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
Aynı: 5 http://tr.archive.ubuntu.com/ubuntu xenial-backports InRelease
1 sn.'de 109 kB alındı (95,9 kB/s)
Paket listeleri okunuyor… Bitti
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
software-properties-common zaten en yeni sürümde (0.96.20.9).
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 255 paket yükseltilmeyecek.
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
autoconf zaten en yeni sürümde (2.69-9).
automake zaten en yeni sürümde (1:1.15-4ubuntu1).
bison zaten en yeni sürümde (2:3.0.4.dfsg-1).
build-essential zaten en yeni sürümde (12.1ubuntu2).
ethtool zaten en yeni sürümde (1:4.5-1).
flex zaten en yeni sürümde (2.6.0-11).
iptables zaten en yeni sürümde (1.6.0-2ubuntu3).
iptables-dev zaten en yeni sürümde (1.6.0-2ubuntu3).
libblas-dev zaten en yeni sürümde (3.6.0-2ubuntu2).
libffi-dev zaten en yeni sürümde (3.2.1-4).
libgmp-dev zaten en yeni sürümde (2:6.1.0+dfsg-2).
liblapack-dev zaten en yeni sürümde (3.6.0-2ubuntu2).
liblapacke-dev zaten en yeni sürümde (3.6.0-2ubuntu2).
libsctp-dev zaten en yeni sürümde (1.0.16+dfsg-3).
libsctp1 zaten en yeni sürümde (1.0.16+dfsg-3).
libtool zaten en yeni sürümde (2.4.6-0.1).
libusb-1.0-0-dev zaten en yeni sürümde (2:1.0.20-1).
libyaml-dev zaten en yeni sürümde (0.1.6-3).
gtkwave zaten en yeni sürümde (3.3.66-1).
libatlas-base-dev zaten en yeni sürümde (3.10.2-9).
libatlas-dev zaten en yeni sürümde (3.10.2-9).
libboost-all-dev zaten en yeni sürümde (1.58.0.1ubuntu1).
libconfig8-dev zaten en yeni sürümde (1.5-0.2).
libforms-bin zaten en yeni sürümde (1.2.3-1.2).
libforms-dev zaten en yeni sürümde (1.2.3-1.2).
libidn2-0-dev zaten en yeni sürümde (0.10-3).
mscgen zaten en yeni sürümde (0.20-5).
octave-signal zaten en yeni sürümde (1.3.2-1).
pydb zaten en yeni sürümde (1.26-2).
xmlstarlet zaten en yeni sürümde (1.6.1-1ubuntu1).
cmake zaten en yeni sürümde (3.5.1-1ubuntu3).
doxygen zaten en yeni sürümde (1.8.11-1ubuntu0.1).
gdb zaten en yeni sürümde (7.11.1-0ubuntu1~16.5).
git zaten en yeni sürümde (1:2.7.4-0ubuntu1.7).
graphviz zaten en yeni sürümde (2.38.0-12ubuntu2.1).
guile-2.0-dev zaten en yeni sürümde (2.0.11+1-10ubuntu0.1).
iproute zaten en yeni sürümde (1:4.3.0-1ubuntu3.16.04.5).
libgcrypt11-dev zaten en yeni sürümde (1.5.4-3+really1.6.5-2ubuntu0.5).
libgnutls-dev zaten en yeni sürümde (3.4.10-4ubuntu1.5).
libgtk-3-dev zaten en yeni sürümde (3.18.9-1ubuntu3.3).
libidn11-dev zaten en yeni sürümde (1.32-3ubuntu1.2).
libmysqlclient-dev zaten en yeni sürümde (5.7.28-0ubuntu0.16.04.2).
libpython2.7-dev zaten en yeni sürümde (2.7.12-1ubuntu0~16.04.9).
libssl-dev zaten en yeni sürümde (1.0.2g-1ubuntu4.15).
libtasn1-6-dev zaten en yeni sürümde (4.7-3ubuntu0.16.04.3).
libxml2 zaten en yeni sürümde (2.9.3+dfsg1-1ubuntu0.6).
libxml2-dev zaten en yeni sürümde (2.9.3+dfsg1-1ubuntu0.6).
libxpm-dev zaten en yeni sürümde (1:3.5.11-1ubuntu0.16.04.1).
libxslt1-dev zaten en yeni sürümde (1.1.28-2.1ubuntu0.3).
openssh-client zaten en yeni sürümde (1:7.2p2-4ubuntu2.8).
openssh-server zaten en yeni sürümde (1:7.2p2-4ubuntu2.8).
openssl zaten en yeni sürümde (1.0.2g-1ubuntu4.15).
python zaten en yeni sürümde (2.7.12-1~16.04).
subversion zaten en yeni sürümde (1.9.3-2ubuntu1.3).
texlive-latex-base zaten en yeni sürümde (2015.20160320-1ubuntu0.1).
wget zaten en yeni sürümde (1.17.1-1ubuntu1.5).
cmake-curses-gui zaten en yeni sürümde (3.5.1-1ubuntu3).
doxygen-gui zaten en yeni sürümde (1.8.11-1ubuntu0.1).
iperf zaten en yeni sürümde (2.0.5+dfsg1-2ubuntu0.1).
python-pip zaten en yeni sürümde (8.1.1-2ubuntu0.4).
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 255 paket yükseltilmeyecek.
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
nettle-dev zaten en yeni sürümde (3.2-1ubuntu0.16.04.1).
nettle-bin zaten en yeni sürümde (3.2-1ubuntu0.16.04.1).
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 255 paket yükseltilmeyecek.

Installing ASN1. The log file for ASN1 installation is here: /home/tekin/İndirilenler/openairinterface5g/cmake_targets/log/asn1c_install_log.txt
‘/opt/ssh’ dizinine çoğaltılıyor…
remote: Enumerating objects: 6, done.
remote: Total 6 (delta 0), reused 0 (delta 0), pack-reused 6
Unpacking objects: 100% (6/6), bitti.
Bağlanabilirlik denetimi… tamamlandı.
3. building the compilation directives …
– The C compiler identification is GNU 5.4.0
– The CXX compiler identification is GNU 5.4.0
– Check for working C compiler: /usr/bin/cc
– Check for working C compiler: /usr/bin/cc – works
– Detecting C compiler ABI info
– Detecting C compiler ABI info - done
– Detecting C compile features
– Detecting C compile features - done
– Check for working CXX compiler: /usr/bin/c++
– Check for working CXX compiler: /usr/bin/c++ – works
– Detecting CXX compiler ABI info
– Detecting CXX compiler ABI info - done
– Detecting CXX compile features
– Detecting CXX compile features - done
CMAKE_BUILD_TYPE is RelWithDebInfo
Architecture is x86_64
C_FLAGS_PROCESSOR is -msse4.1 -mssse3
git found: /usr/bin/git
calling ASN1C_PREFIX=F1AP_ asn1c -gen-PER -fcompound-names -no-gen-example -findirect-choice -fno-include-deps -D /home/tekin/İndirilenler/openairinterface5g/cmake_targets/lte_build_oai/build/CMakeFiles/F1AP_R15.2.1 /home/murat/İndirilenler/openairinterface5g/openair2/F1AP/MESSAGES/ASN1/R15.2.1/F1AP-CommonDataTypes.asn;/home/tekin/İndirilenler/openairinterface5g/openair2/F1AP/MESSAGES/ASN1/R15.2.1/F1AP-Constants.asn;/home/tekin/İndirilenler/openairinterface5g/openair2/F1AP/MESSAGES/ASN1/R15.2.1/F1AP-PDU-Descriptions.asn;/home/tekin/İndirilenler/openairinterface5g/openair2/F1AP/MESSAGES/ASN1/R15.2.1/F1AP-PDU-Contents.asn;/home/tekin/İndirilenler/openairinterface5g/openair2/F1AP/MESSAGES/ASN1/R15.2.1/F1AP-IEs.asn;/home/tekin/İndirilenler/openairinterface5g/openair2/F1AP/MESSAGES/ASN1/R15.2.1/F1AP-Containers.asn
DEADLINE_SCHEDULER flag is False
CPU_Affinity flag is False
/home/murat/İndirilenler/openairinterface5g/cmake_targets/tools/generate_protobuf: satır 14: protoc-c: komut yok
calling protoc_call=/home/murat/İndirilenler/openairinterface5g/cmake_targets/tools/generate_protobuf FSPT_C_DIR=/home/murat/İndirilenler/openairinterface5g/cmake_targets/lte_build_oai/build/CMakeFiles/FSPT_V2 FSPT_MSG_DIR=/home/murat/İndirilenler/openairinterface5g/targets/COMMON/MESSAGES/V2 FSPT_MSG_FILES=/home/tekin/İndirilenler/openairinterface5g/targets/COMMON/MESSAGES/V2/flexsplit.proto
/home/murat/İndirilenler/openairinterface5g/cmake_targets/tools/generate_protobuf: satır 14: protoc-c: komut yok
fspt c dir is : /home/tekin/İndirilenler/openairinterface5g/cmake_targets/lte_build_oai/build/CMakeFiles/FSPT_V2
– Checking for one of the modules ‘openpgm-5.1;openpgm-5.2’
NETTLE VERSION_INSTALLED = 3.2
NETTLE_VERSION_MAJOR = 3
NETTLE_VERSION_MINOR = 2
– Configuring done
CMake Error at /home/tekin/İndirilenler/openairinterface5g/cmake_targets/CMakeLists.txt:1005 (add_library):
Cannot find source file:

/home/tekin/İndirilenler/openairinterface5g/cmake_targets/lte_build_oai/build/CMakeFiles/FLPT_V2/header.pb-c.c

Tried extensions .c .C .c++ .cc .cpp .cxx .m .M .mm .h .hh .h++ .hm .hpp
.hxx .in .txx
Call Stack (most recent call first):
CMakeLists.txt:19 (include)

CMake Error at /home/tekin/İndirilenler/openairinterface5g/cmake_targets/CMakeLists.txt:1080 (add_library):
Cannot find source file:

/home/tekin/İndirilenler/openairinterface5g/cmake_targets/lte_build_oai/build/CMakeFiles/FSPT_V2/flexsplit.pb-c.c

Tried extensions .c .C .c++ .cc .cpp .cxx .m .M .mm .h .hh .h++ .hm .hpp
.hxx .in .txx
Call Stack (most recent call first):
CMakeLists.txt:19 (include)

CMake Error: Cannot determine link language for target “FLPT_MSG”.
CMake Error: CMake can not determine linker language for target: FLPT_MSG
CMake Error: Cannot determine link language for target “FSPT_MSG”.
CMake Error: CMake can not determine linker language for target: FSPT_MSG
– Generating done
– Build files have been written to: /home/tekin/İndirilenler/openairinterface5g/cmake_targets/lte_build_oai/build
build have failed